%{?nodejs_find_provides_and_requires}

Name:           nodejs-once
Version:        1.3.3
Release:        %mkrel 4
Summary:        Run a function exactly one time
BuildArch:      noarch

License:        BSD
URL:            https://github.com/isaacs/once
Source0:        https://registry.npmjs.org/once/-/once-%{version}.tgz
Group:          Development/Other
BuildRequires:  nodejs-packaging

%description
Run a function exactly one time.

%prep
%setup -q -n package

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/once
cp -pr package.json once.js %{buildroot}%{nodejs_sitelib}/once

%nodejs_symlink_deps

%files
%{nodejs_sitelib}/once
%doc README.md
%license LICENSE


%changelog
* Mon May 04 2020 joequant <joequant> 1.3.3-4.mga8
+ Revision: 1580077
- redo deps

* Wed Feb 12 2020 umeabot <umeabot> 1.3.3-3.mga8
+ Revision: 1492622
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.3.3-2.mga7
+ Revision: 1265074
- Mageia 7 Mass Rebuild

* Fri May 13 2016 joequant <joequant> 1.3.3-1.mga6
+ Revision: 1014800
- Add group
- imported package nodejs-once

